<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev$
 * $Author$
 * $Date$
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

/**
 * if hook execution is enabled this function will be executed
 * when saving a document, template, object or class
 * The array $param has all information about the respective document.
 *
 * IMPORTANT!
 * Copy this file to the custom/hooks folder when doing any changes
 * Files in the sample_hooks folder are not executed and are not update-safe and will be overwritten by the next webEdition update
 *
 */
class we_hook_save extends we_hook_base{
	/** @var we_document_base */
	protected $obj;

	/** @var bool */
	protected $resave;

	public function __construct(we_hook_handler $handler, array $params){
		parent::__construct($handler, $params);
		$this->resave = $params['resave'];
		$this->obj = $params['obj'];
	}

	public function execute(): bool{
		return true;
	}

}
