<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: d24ecdc64229 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-12-02 16:29 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_chooser_multiDirAndTemplate extends we_chooser_multiDir{
	/** @var array<int,int> */
	private $classWSTemplates;

	/**
	 * @param int[] $ids
	 * @param string $cmd_del
	 * @param string $addbut
	 * @param array<int,int> $classWSTemplates
	 */
	public function __construct(array $ids, string $cmd_del, string $addbut, array $classWSTemplates = []){
		parent::__construct($ids, $cmd_del, $addbut, [], 'Path', FILE_TABLE);
		$this->lines = 1;

		$this->classWSTemplates = $classWSTemplates;
	}

	function getRootLine(int $lineNr): string{
		$but = we_html_button::create_button(we_html_button::VIEW, "javascript:we_cmd('we_object_file_preview','0','" . ($this->classWSTemplates[0] ?? '') . "','" . we_base_WE::$transaction . "')");

		switch($lineNr){
			case 0:
				return '<tr>
	<td class="chooserFileIcon" data-contenttype="' . we_base_ContentTypes::FOLDER_DOCUMENT . '"></td>
	<td class="' . $this->css . '">/</td>
	<td class="buttonsObjectFile">' . $but . ((($this->isEditable && $this->cmd_del) || $this->CanDelete) ?
					we_html_button::create_button(we_html_button::TRASH, "javascript:" . $this->getJsSetHot() . ($this->extraDelFn ?: "") . ";we_cmd('" . $this->cmd_del . "','0');") :
					"") . '</td>
</tr>';
			default:
				return '';
		}
	}

	function getLine(int $lineNr): string{
		$wsId = $this->Record['ID'];
		switch($lineNr){
			case 0:
				$but = we_html_button::create_button(we_html_button::VIEW, "javascript:we_cmd('we_object_file_preview','0','" . ($this->classWSTemplates[$wsId] ?? '') . "','" . we_base_WE::$transaction . "')");

				return '<tr>
	<td class="chooserFileIcon" data-contenttype="' . $this->Record['ContentType'] . '"></td>
	<td class="' . $this->css . '">' . $this->Record['Path'] . '</td>
	<td class="buttonsObjectFile">' . $but . ((($this->isEditable && $this->cmd_del) || $this->CanDelete) ?
					we_html_button::create_button(we_html_button::TRASH, "javascript:" . $this->getJsSetHot() . ($this->extraDelFn ?: "") . ";we_cmd('" . $this->cmd_del . "','" . $wsId . "'" . (strlen($this->thirdDelPar) ? ",'" . $this->thirdDelPar . "'" : "") . ");") :
					'') . '</td>
</tr>';
			default:
				return '';
		}
	}

}
