<?php

declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 0a4d7404d413 $
 * $Author: Lukas Imhof $
 * $Date: 2021-11-03 14:15 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_editor_scheduler extends we_editor_base{

	public function show(): string{
		if(we_modules_info::isActive(we_modules_info::SCHEDULER)){
			we_schedule_scheduler::trigger_schedule();
		}
		we_base_WE::$transaction = we_base_request::_(we_base_request::TRANSACTION, 'we_cmd', we_base_request::_(we_base_request::TRANSACTION, 'we_transaction'), 2);
		assert($this->we_doc instanceof we_document_base);
		$parts = new we_html_multiIconBoxContent();
		foreach($this->we_doc->schedArr as $i => $sched){
			'@phan-var int $i';
			$schedObj = new we_schedule_view($this->we_doc, $sched, $i);

			$parts->add((new we_html_multiIconBoxContentLine(g_l('modules_schedule', '[task][headline]') . ' ' . ($i + 1), $schedObj->getHTML($this->getJsCmd(), $this->we_doc->Table === OBJECT_FILES_TABLE)))
							->space(we_html_multiIconBox::SPACE_MED)
			);
		}
		$parts->add(new we_html_multiIconBoxContentLine('', we_html_tools::alertAttentionBox(g_l('modules_schedule', '[descriptiontext]'), we_html_tools::TYPE_INFO, 700) . we_html_element::br(2) . we_html_button::create_button('fa:btn_add_schedule,fa-plus,fa-lg fa-clock-o', "javascript:we_cmd('we_schedule_add')")
		));
		return $this->getPage((new we_html_multiIconBox($parts))->marginLeft()->get(), we_html_element::cssLink(CSS_DIR . 'we_scheduler.css') .
						we_schedule_view::getMainJS($this->we_doc), [
					'onload' => "checkFooter();"
		]);
	}

}
