<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 74dc0c93ba38 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 13:23 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_html_tfoot extends we_html_baseCollection{

	/**
	 * @param we_html_tr $content
	 * @param array<string,string> $attribs
	 */
	public function __construct(we_html_tr $content, array $attribs = []){
		parent::__construct('tfoot', true, $attribs);
		$this->childs = [$content];
	}

	public function isEmpty(): bool{
		foreach($this->childs as $child){
			assert($child instanceof we_html_tr);
			if(!$child->isEmpty()){
				return false;
			}
		}
		return true;
	}

}
