<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: e5bf7f91c9c3 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-12-02 13:06 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_rpcCmd_documentRequestUnlock extends we_rpc_cmd{

	function execute(): we_rpc_response{
		$docID = we_base_request::int('doc');
		$table = we_base_request::_(we_base_request::TABLE, 'table');
		switch(we_base_request::string('type')){
			case 'request':
				$force = we_base_permission::hasPerm([we_base_perm::ADMINISTRATOR]) ? we_base_request::int('time') : 0;
				DB_WE::$inst->query('UPDATE ' . LOCK_TABLE . ' SET ' .
					we_database_base::arraySetter([
						'releaseRequestID' => we_users_user::getID(),
						'releaseRequestText' => we_base_request::string('text'),
						'releaseRequestForce' => sql_function($force ? 'NOW()+INTERVAL ' . $force . ' MINUTE' : 'NULL')
					]) .
					' WHERE UserID!=' . we_users_user::getID() . ' AND tbl="' . stripTblPrefix($table) . '" AND ID=' . $docID);
				break;
		}
		return $this->resp;
	}

}
