<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: 493097bf2738 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2021-11-18 00:41 +0100 $
 */
class we_tw_img extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;
		$this->Groups = [self::GROUP_INPUT];

		$this->Attributes = [
			new we_weTag_textAttribute($this, 'name', '', false, ''),
			new we_weTag_choiceAttribute($this, 'only', '', [
				new we_weTag_option('width'),
				new we_weTag_option('height'),
				new we_weTag_option('alt'),
				new we_weTag_option('title'),
				new we_weTag_option('src'),
				new we_weTag_option('id'),
				new we_weTag_option('path'),
				], false, true, ''),
			new we_weTag_selectorAttribute($this, 'id', '', FILE_TABLE, we_base_ContentTypes::IMAGE),
			new we_weTag_textAttribute($this, 'width', ''),
			new we_weTag_textAttribute($this, 'height', ''),
			new we_weTag_textAttribute($this, 'border', ''),
			new we_weTag_textAttribute($this, 'alt', ''),
			new we_weTag_textAttribute($this, 'title', ''),
			new we_weTag_selectorAttribute($this, 'startid', '', FILE_TABLE, we_weTag_selectorAttribute::FOLDER),
			new we_weTag_selectorAttribute($this, 'parentid', '', FILE_TABLE, we_weTag_selectorAttribute::FOLDER),
			new we_weTag_sqlRowAttribute($this, 'thumbnail', '', THUMBNAILS_TABLE, false, 'Text'),
			new we_weTag_sqlRowAttribute($this, 'thumbnailid', '', THUMBNAILS_TABLE, false, 'ID', 'Text', 'Text'),
			new we_weTag_selectAttribute($this, 'showcontrol', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute($this, 'showimage', '', [
				new we_weTag_option('false', false, '')
				]),
			new we_weTag_selectAttribute($this, 'showinputs', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute($this, 'showthumbcontrol', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute($this, 'xml', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_textAttribute($this, 'sizingrel', ''),
			new we_weTag_selectAttribute($this, 'sizingstyle', '', [
				new we_weTag_option('none'),
				new we_weTag_option('em'),
				new we_weTag_option('ex'),
				new we_weTag_option('%'),
				new we_weTag_option('px')
				]),
			new we_weTag_textAttribute($this, 'sizingbase', '')
		];
	}

}
