<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: 493097bf2738 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2021-11-18 00:41 +0100 $
 */
class we_tw_link extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;
		$this->Groups = [self::GROUP_INPUT];

		$this->Attributes = [
			new we_weTag_textAttribute($this, 'name', '', false, ''),
			new we_weTag_selectAttribute($this, 'only', '', [
				new we_weTag_option('href'),
				new we_weTag_option('img_id'),
				new we_weTag_option('type'),
				new we_weTag_option('ctype'),
				new we_weTag_option('border'),
				new we_weTag_option('alt'),
				new we_weTag_option('jsheight'),
				new we_weTag_option('jswidth'),
				new we_weTag_option('jsposx'),
				new we_weTag_option('id'),
				new we_weTag_option('text'),
				new we_weTag_option('title'),
				new we_weTag_option('accesskey'),
				new we_weTag_option('tabindex'),
				new we_weTag_option('lang'),
				new we_weTag_option('rel'),
				new we_weTag_option('obj_id'),
				new we_weTag_option('anchor'),
				new we_weTag_option('params'),
				new we_weTag_option('target'),
				new we_weTag_option('img_title'),
				], false, ''),
			new we_weTag_textAttribute($this, 'class', '', false, ''),
			new we_weTag_textAttribute($this, 'style', '', false, ''),
			new we_weTag_textAttribute($this, 'text', '', false, ''),
			new we_weTag_selectAttribute($this, 'xml', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectorAttribute($this, 'id', '', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT, false, ''),
			new we_weTag_selectorAttribute($this, 'imageid', '', FILE_TABLE, we_base_ContentTypes::IMAGE, false, ''),
			new we_weTag_selectorAttribute($this, 'triggerid', '', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT, false, ''),
			new we_weTag_selectAttribute($this, 'hidedirindex', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute($this, 'objectseourls', '', we_weTag_selectAttribute::getTrueFalse())
		];
	}

}
