<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 */
class we_tw_listview extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = true;
		$this->DefaultValue = '<we:repeat>
<we:field name="we_title" alt="we_path" hyperlink="true"/>
</we:repeat>';

		$MultiSelector = new we_weTag_multiSelectorAttribute($this, 'MultiSelector', '', FILE_TABLE, '', '');
		$name = new we_weTag_textAttribute($this, 'name', '');
		$doctype = new we_weTag_sqlRowAttribute($this, 'doctype', '', DOC_TYPES_TABLE, false, 'Text');
		$doctypeIDs = new we_weTag_sqlRowAttribute($this, 'doctypeIDs', '', DOC_TYPES_TABLE, false);
		$categories = new we_weTag_multiSelectorAttribute($this, 'categories', '', CATEGORY_TABLE, '', 'Path', false, we_modules_info::CATEGORY);
		$catOr = new we_weTag_selectAttribute($this, 'catOr', '', we_weTag_selectAttribute::getTrueFalse());
		$rows = new we_weTag_textAttribute($this, 'rows', '', false, '', '', 'number');
		$cols = new we_weTag_textAttribute($this, 'cols', '', false, '', '', 'number');
		$order_document = new we_weTag_choiceAttribute($this, 'order', '', [
			new we_weTag_option(we_listview_base::RANDOM_FIELD),
			new we_weTag_option(we_listview_base::ID_FIELD),
			new we_weTag_option(we_listview_base::FILENAME_FIELD),
			new we_weTag_option(we_listview_base::DATECREATION_FIELD),
			new we_weTag_option(we_listview_base::DATEMOD_FIELD),
			new we_weTag_option(we_listview_base::DATEPUBLISHED_FIELD),
			], false, false, '');
		$order_search = new we_weTag_choiceAttribute($this, 'order', '', [
			new we_weTag_option(we_listview_base::RANDOM_FIELD),
			new we_weTag_option(we_listview_base::ID_FIELD),
			new we_weTag_option(we_listview_base::FILENAME_FIELD),
			new we_weTag_option(we_listview_base::DATECREATION_FIELD),
			new we_weTag_option(we_listview_base::DATEMOD_FIELD),
			new we_weTag_option(we_contents_root::TITLE_FIELD),
			new we_weTag_option(we_contents_root::DESCRIPTION_FIELD),
			new we_weTag_option('Path'),
			new we_weTag_option('Text'),
			new we_weTag_option('DID'),
			new we_weTag_option('OID'),
			new we_weTag_option('ID'),
			], false, false, '');
		$order_category = new we_weTag_choiceAttribute($this, 'order', '', [
			new we_weTag_option(we_listview_base::RANDOM_FIELD),
			new we_weTag_option('ID'),
			new we_weTag_option('Category'),
			new we_weTag_option('Text'),
			new we_weTag_option('Path'),
			], false, false, '');
		$order_customer = new we_weTag_choiceAttribute($this, 'order', '', [
			new we_weTag_option(we_listview_base::RANDOM_FIELD),
			new we_weTag_option('ID'),
			new we_weTag_option('Username'),
			new we_weTag_option('Forename'),
			new we_weTag_option('Surname'),
			], false, false, we_modules_info::CUSTOMER);
		$order_onlinemonitor = new we_weTag_choiceAttribute($this, 'order', '', [
			new we_weTag_option(we_listview_base::RANDOM_FIELD),
			new we_weTag_option('WebUserID'),
			new we_weTag_option('WebUserGroup'),
			new we_weTag_option('PageID'),
			new we_weTag_option('ObjectID'),
			new we_weTag_option('LastLogin_Date'),
			new we_weTag_option('LastAccess_Date'),
			], false, false, '');
		$order_languagelink = new we_weTag_choiceAttribute($this, 'order', '', [
			new we_weTag_option(we_listview_base::RANDOM_FIELD),
			new we_weTag_option('Locale'),
			], false, false, '');
		$order_sql = new we_weTag_textAttribute($this, 'order', '');
		$desc = new we_weTag_selectAttribute($this, 'desc', '', we_weTag_selectAttribute::getTrueFalse());
		$offset = new we_weTag_textAttribute($this, 'offset', '', false, '', '', 'number');
		$casesensitive = new we_weTag_selectAttribute($this, 'casesensitive', '', we_weTag_selectAttribute::getTrueFalse());
		$classid = new we_weTag_selectorAttribute($this, 'classid', '', OBJECT_TABLE, we_base_ContentTypes::OBJECT, false, we_modules_info::OBJECT);
		$condition = new we_weTag_textAttribute($this, 'condition', '', false, '');
		$triggerid = new we_weTag_selectorAttribute($this, 'triggerid', '', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT, false, '');
		$seeMode = new we_weTag_selectAttribute($this, 'seeMode', '', we_weTag_selectAttribute::getTrueFalse());
		$workspaceID_document = new we_weTag_multiSelectorAttribute($this, 'workspaceID', '', FILE_TABLE, we_weTag_selectorAttribute::FOLDER, 'ID', false, '');
		$workspaceID_object = new we_weTag_multiSelectorAttribute($this, 'workspaceID', '', OBJECT_FILES_TABLE, we_weTag_selectorAttribute::FOLDER, 'ID', false, we_modules_info::OBJECT);
		$categoryids = new we_weTag_multiSelectorAttribute($this, 'categoryids', '', CATEGORY_TABLE, '', 'ID', false, we_modules_info::CATEGORY);
		$parentid = new we_weTag_selectorAttribute($this, 'parentid', '', CATEGORY_TABLE, '', false, we_modules_info::CATEGORY);
		$parentidname = new we_weTag_textAttribute($this, 'parentidname', '', false, '');
		$contenttypes = new we_weTag_choiceAttribute($this, 'contenttypes', '', [
			new we_weTag_option(we_base_ContentTypes::WEDOCUMENT),
			new we_weTag_option(we_base_ContentTypes::IMAGE),
			new we_weTag_option(we_base_ContentTypes::HTML),
			new we_weTag_option(we_base_ContentTypes::TEXT),
			new we_weTag_option(we_base_ContentTypes::XML),
			new we_weTag_option(we_base_ContentTypes::JS),
			new we_weTag_option(we_base_ContentTypes::CSS),
			new we_weTag_option(we_base_ContentTypes::APPLICATION),
			new we_weTag_option(we_base_ContentTypes::PDF),
			new we_weTag_option(we_base_ContentTypes::VIDEO),
			new we_weTag_option(we_base_ContentTypes::AUDIO),
			], false, true, '');
		$searchable = new we_weTag_selectAttribute($this, 'searchable', '', we_weTag_selectAttribute::getTrueFalse());
		$defaultname = new we_weTag_textAttribute($this, 'defaultname', '', false, '');
		$documentid = new we_weTag_selectorAttribute($this, 'documentid', '', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT, false, '');
		$collectionid = new we_weTag_selectorAttribute($this, 'id', '', VFILE_TABLE, we_base_ContentTypes::COLLECTION, false, we_modules_info::COLLECTION);
		$objectid = new we_weTag_selectorAttribute($this, 'objectid', '', OBJECT_FILES_TABLE, we_base_ContentTypes::OBJECT_FILE, false, we_modules_info::OBJECT);
		$calendar = new we_weTag_selectAttribute($this, 'calendar', '', [
			new we_weTag_option('year'),
			new we_weTag_option('month'),
			new we_weTag_option('month_table'),
			new we_weTag_option('day'),
			], false, '');
		$datefield = new we_weTag_textAttribute($this, 'datefield', '', false, '');
		$date = new we_weTag_textAttribute($this, 'date', '', false, '');
		$weekstart = new we_weTag_selectAttribute($this, 'weekstart', '', [
			new we_weTag_option('sunday'),
			new we_weTag_option('monday'),
			new we_weTag_option('tuesday'),
			new we_weTag_option('wednesday'),
			new we_weTag_option('thursday'),
			new we_weTag_option('friday'),
			new we_weTag_option('saturday'),
			], false, '');
		$cfilter = new we_weTag_selectAttribute($this, 'cfilter', '', we_weTag_selectAttribute::getTrueFalse(true), false, we_modules_info::CUSTOMER);
		$recursive = new we_weTag_selectAttribute($this, 'recursive', '', we_weTag_selectAttribute::getTrueFalse());
		$docid = new we_weTag_multiSelectorAttribute($this, 'docid', '', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT, 'ID', false, '');
		$customer = new we_weTag_textAttribute($this, 'customer', '', false, we_modules_info::CUSTOMER);
		$customers = new we_weTag_textAttribute($this, 'customers', '', false, we_modules_info::CUSTOMER);
		$idDocument = new we_weTag_multiSelectorAttribute($this, 'id', '', FILE_TABLE, '', 'ID', false, '');
		$idObject = new we_weTag_multiSelectorAttribute($this, 'id', '', OBJECT_FILES_TABLE, we_base_ContentTypes::OBJECT_FILE, 'ID', false, '');
		$select = new we_weTag_textAttribute($this, 'select', '', true);
		$from = new we_weTag_textAttribute($this, 'from', '', true);
		$where = new we_weTag_textAttribute($this, 'where', '', true);
		$numorder = new we_weTag_selectAttribute($this, 'numorder', '', we_weTag_selectAttribute::getTrueFalse());
		$locales = [];
		foreach(we_base_WE::$Langs['FrontendLanguages'] as $lv){
			$locales[] = new we_weTag_option($lv);
		}
		$locales[] = new we_weTag_option('self');
		$locales[] = new we_weTag_option('top');
		$languages = new we_weTag_choiceAttribute($this, 'languages', '', $locales, false, true, '');
		$lastaccesslimit = new we_weTag_textAttribute($this, 'lastaccesslimit', '', false, '');
		$lastloginlimit = new we_weTag_textAttribute($this, 'lastloginlimit', '', false, '');
		$objectseourls = new we_weTag_selectAttribute($this, 'objectseourls', '', we_weTag_selectAttribute::getTrueFalse());
		$hidedirindex = new we_weTag_selectAttribute($this, 'hidedirindex', '', we_weTag_selectAttribute::getTrueFalse());
		$pagelanguage = new we_weTag_choiceAttribute($this, 'pagelanguage', '', $locales, false, true, '');
		$doc = new we_weTag_selectAttribute($this, 'doc', '', [
			new we_weTag_option('self'),
			new we_weTag_option('top'),
			], false, '');
		$showself = new we_weTag_selectAttribute($this, 'showself', '', we_weTag_selectAttribute::getTrueFalse());
		$orderid = new we_weTag_textAttribute($this, 'orderid', '', false, '', '', 'number');

		$this->TypeAttribute = new we_weTag_typeAttribute($this, 'type', [
			new we_weTag_option('-'),
			new we_weTag_option('document', false, '', [$name, $doctype, $doctypeIDs, $categories, $catOr, $rows, $cols, $order_document, $desc, $offset, $languages, $searchable,
				$workspaceID_document,
				$cfilter, $recursive, $customers, $contenttypes, $idDocument, $calendar, $numorder, $categoryids, $condition, $hidedirindex], []),
			new we_weTag_option('search', false, '', [$name, $doctype, $doctypeIDs, $categories, $catOr, $languages, $rows, $cols, $order_search, $desc, $casesensitive, $classid,
				$workspaceID_document,
				$cfilter, $numorder, $triggerid, $objectseourls, $hidedirindex], []),
			new we_weTag_option('category', false, '', [$name, $categories, $rows, $cols, $order_category, $desc, $offset, $parentid, $parentidname, $categoryids], []),
			new we_weTag_option('object', false, '', [$name, $categories, $catOr, $rows, $cols, $order_document, $desc, $offset, $classid, $condition, $triggerid, $languages,
				$searchable, $workspaceID_object, $cfilter, $docid, $customers, $idObject, $calendar, $categoryids, $objectseourls, $hidedirindex], []),
			new we_weTag_option('multiobject', false, '', [$name, $categories, $catOr, $rows, $cols, $order_document, $desc, $offset, $classid, $condition, $triggerid,
				$languages,
				$searchable, $cfilter, $calendar, $objectseourls, $hidedirindex], []),
			new we_weTag_option('collectionitems', false, 'collection', [$collectionid, $name, $doctype, $doctypeIDs, $categories, $catOr, $rows, $cols, $order_document,
				$desc, $offset,
				$languages, $searchable,
				$workspaceID_document, $cfilter, $recursive, $customers, $contenttypes, $calendar, $numorder, $categoryids, $condition, $hidedirindex, $triggerid, $docid, $objectseourls], [
				]),
			new we_weTag_option('variant', false, '', [$name, $defaultname, $documentid, $objectid, $objectseourls, $hidedirindex], []),
			new we_weTag_option('customer', false, we_modules_info::CUSTOMER, [$name, $rows, $cols, $order_customer, $desc, $offset, $condition, $docid], []),
			new we_weTag_option('onlinemonitor', false, we_modules_info::CUSTOMER, [$name, $rows, $cols, $order_onlinemonitor, $desc, $offset, $condition, $docid, $lastaccesslimit,
				$lastloginlimit], [
				]),
			new we_weTag_option('languagelink', false, '', [$name, $rows, $cols, $order_languagelink, $desc, $offset, $pagelanguage, $showself, $objectseourls, $hidedirindex], [
				]),
			new we_weTag_option('order', false, '', [$name, $rows, $cols, $order_document, $desc, $offset, $condition, $docid], []),
			new we_weTag_option('orderitem', false, we_modules_info::SHOP, [$name, $rows, $cols, $order_document, $desc, $offset, $condition, $docid, $orderid], []),
			new we_weTag_option('sql', false, '', [$name, $select, $from, $where, $rows, $cols, $order_sql, $desc, $offset], [$select, $from, $where]),
			], false, '');

		$this->Attributes = [
			$MultiSelector,
			$collectionid,
			$name,
			$doctype,
			$doctypeIDs,
			$categories,
			$catOr,
			$select,
			$from,
			$where,
			$order_sql,
			$rows,
			$cols,
			$order_document,
			$order_search,
			$order_category,
			$order_customer,
			$order_onlinemonitor,
			$order_languagelink,
			$orderid,
			$desc,
			$offset,
			$casesensitive,
			$classid,
			$condition,
			$triggerid,
			$seeMode,
			$workspaceID_document,
			$workspaceID_object,
			$categoryids,
			$parentid,
			$parentidname,
			$contenttypes,
			$searchable,
			$defaultname,
			$documentid,
			$objectid,
			$datefield,
			$date,
			$weekstart,
			$cfilter,
			$recursive,
			$docid,
			$customer,
			$customers,
			$idDocument,
			$idObject,
			$calendar,
			$numorder,
			$languages,
			$lastaccesslimit,
			$lastloginlimit,
			$objectseourls,
			$hidedirindex,
			$pagelanguage,
			$doc,
			$showself
		];
	}

}
