<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 */
class we_tw_sendMail extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;

		$this->Attributes = [
			new we_weTag_textAttribute($this, 'attachments', '', false, ''),
			new we_weTag_selectorAttribute($this, 'attachmentIDs', '', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT),
			new we_weTag_textAttribute($this, 'id', '', false, '', '', 'number'),
			new we_weTag_textAttribute($this, 'subject', '', false, ''),
			new we_weTag_textAttribute($this, 'recipient', '', true, ''),
			new we_weTag_textAttribute($this, 'recipientCC', '', false, ''),
			new we_weTag_textAttribute($this, 'recipientBCC', '', false, ''),
			new we_weTag_textAttribute($this, 'from', '', true, ''),
			new we_weTag_textAttribute($this, 'reply', '', false, ''),
			new we_weTag_selectAttribute($this, 'mimetype', '', [
				new we_weTag_option(we_mail_mime::TYPE_TEXT),
				new we_weTag_option(we_mail_mime::TYPE_HTML),
				], false, ''),
			new we_weTag_textAttribute($this, 'charset', '', false, ''),
			new we_weTag_selectAttribute($this, 'includeimages', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute($this, 'usebasehref', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute($this, 'useformmailLog', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute($this, 'useformmailBlock', '', we_weTag_selectAttribute::getTrueFalse()),
		];
	}

}
