/* global WE, top,weDoOk */

/**
 * webEdition CMS
 *
 * $Rev: 289e682ed2ec $
 * $Author: Lukas Imhof $
 * $Date: 2021-06-17 18:20 +0200 $
 *
 * This source is part of the webEdition SDK. The webEdition SDK is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU Lesser General Public License can be found at
 * http://www.gnu.org/licenses/lgpl-3.0.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionSDK/License.txt
 *
 *
 * @license    http://www.gnu.org/licenses/lgpl-3.0.html  LGPL
 */
'use strict';

var payload = WE().util.getDynamicVar(document, 'loadVarDialog', 'data-vars');

document.addEventListener("keyup", doKeyDown, true);
function doKeyDown(e) {
	switch (e.key) {
		case 'Esc':
			WE().util.dialogTop(window).doClose();
			break;
	}
}

function weTinyDialog_doOk() { // probably obsolete: part of old fullscree dialog?
	WE().util.dialogTop(window).WefullscreenDialog.writeback();
	WE().util.dialogTop(window).doClose();
}

function doUnload() {

}

function we_cmd() {
	/*jshint validthis:true */
	var caller = (this && this.window === this ? this : window),
		args = WE().util.getWe_cmdArgsArray(Array.prototype.slice.call(arguments));
	//var url = WE().util.getWe_cmdArgsUrl(args);

	switch (args[0]) {
		default:
			WE().util.dialogTop(window).opener.we_cmd.apply(caller, Array.prototype.slice.call(arguments));
	}
}

function submitAndSaveDoc(e){
	var form = WE().util.dialogTop(window).we_form;
	form.elements['we_dialog_args[syncAndSaveWedoc]'].value = 1;
	WE().util.dialogTop(window).we_form.submit();
	form.elements['we_dialog_args[syncAndSaveWedoc]'].value = 0;
}

function submitAndPublishDoc(e){
	var form = WE().util.dialogTop(window).we_form;
	form.elements['we_dialog_args[syncAndPublishWedoc]'].value = 1;
	WE().util.dialogTop(window).we_form.submit();
	form.elements['we_dialog_args[syncAndPublishWedoc]'].value = 0;
}