/*
 * webEdition CMS
 *
 * $Rev: 6329b796be62 $
 * $Author: Lukas Imhof $
 * $Date: 2020-11-10 16:09 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

/* global WE */
'use strict';

var editorSave = WE().util.getDynamicVar(document, 'loadVarTemplate_save_question', 'data-editorSave');

function doOnLoad(win) {
	win.focus();
	win.document.getElementsByTagName("button")[0].focus();
}

// functions for keyBoard Listener
function applyOnEnter() {
	pressed_yes_button();
}

// functions for keyBoard Listener
function closeOnEscape() {
	pressed_cancel_button();
}

function pressed_cancel_button() {
	WE().util.dialogTop(window).doClose();
}

function pressed_yes_button() {
	WE().util.dialogTop(window).opener.top.we_cmd('save_document', editorSave.we_transaction, 0, 1, 1, window.btoa(JSON.stringify(editorSave.we_responseJS)), window.btoa(JSON.stringify(editorSave.we_cmd6)));
	WE().util.dialogTop(window).doClose();
}

function pressed_no_button() {
	WE().util.dialogTop(window).opener.top.we_cmd('save_document', editorSave.we_transaction, 0, 1, 0, window.btoa(JSON.stringify(editorSave.we_responseJS)), window.btoa(JSON.stringify(editorSave.we_cmd6)));
	WE().util.dialogTop(window).doClose();
}
